summaryrefslogtreecommitdiffstats
path: root/source/d/doxygen/doxygen.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/doxygen/doxygen.SlackBuild')
-rwxr-xr-xsource/d/doxygen/doxygen.SlackBuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/source/d/doxygen/doxygen.SlackBuild b/source/d/doxygen/doxygen.SlackBuild
index f0b364b68..bd0538ee9 100755
--- a/source/d/doxygen/doxygen.SlackBuild
+++ b/source/d/doxygen/doxygen.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -87,7 +87,7 @@ cd build
-DDOC_INSTALL_DIR:STRING="/doc/doxygen-$VERSION" \
-DBUILD_SHARED_LIBS=OFF \
-Dbuild_app=ON \
- -Dbuild_doc=OFF \
+ -Dbuild_doc=ON \
-Dbuild_parse=ON \
-Dbuild_search=ON \
-Dbuild_wizard=ON \
@@ -95,17 +95,18 @@ cd build
-Duse_sqlite3=ON \
-G "Unix Makefiles" .. || exit 1
make $NUMJOBS || make || exit 1
+ make $NUMJOBS docs || make docs || exit 1
make install DESTDIR=$PKG || exit 1
cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Install manpages:
-mkdir -p $PKG/usr/man/man1
-cp -a doc/*.1 $PKG/usr/man/man1
-chown root:root $PKG/usr/man/man1/*
-chmod 644 $PKG/usr/man/man1/*
+# Fix manpages location:
+if [ -d $PKG/usr/share/man ]; then
+ mv $PKG/usr/share/man $PKG/usr
+ rmdir $PKG/usr/share
+fi
# Compress and if needed symlink the man pages:
if [ -d $PKG/usr/man ]; then